curl --request GET \
--url "https://api.roe-ai.com/v1/workflows/YOUR_WORKFLOW_ID/versions/" \
--header "Authorization: Bearer YOUR_API_KEY"
{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_current": true,
"read_only": true,
"version_name": "<string>",
"description": "<string>",
"format_version": 16383,
"created_at": "2023-11-07T05:31:56Z"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Workflows
List Workflow Versions
List a workflow’s versions, newest first.
GET
/
v1
/
workflows
/
{workflow_id}
/
versions
/
curl --request GET \
--url "https://api.roe-ai.com/v1/workflows/YOUR_WORKFLOW_ID/versions/" \
--header "Authorization: Bearer YOUR_API_KEY"
{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_current": true,
"read_only": true,
"version_name": "<string>",
"description": "<string>",
"format_version": 16383,
"created_at": "2023-11-07T05:31:56Z"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}curl --request GET \
--url "https://api.roe-ai.com/v1/workflows/YOUR_WORKFLOW_ID/versions/" \
--header "Authorization: Bearer YOUR_API_KEY"
Authorizations
Organization API key passed as a Bearer token. This is the scheme used by the public SDK surface.
Path Parameters
Query Parameters
A page number within the paginated result set.
Number of results to return per page.
Organization ID. This is required for access control. It can be provided via query or request body depending on the endpoint.